import { StraightNumericAxisBase } from "./StraightNumericAxisBase";
import { IScaler } from "./IScaler";
import { AxisOrientation } from "./AxisOrientation";
import { AxisView } from "./AxisView";
import { Type, IList$1 } from "igniteui-react-core/ES5/type";
import { AxisLabelPanelBase } from "./AxisLabelPanelBase";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { ScalerParams } from "./ScalerParams";
import { NumericScaler } from "./NumericScaler";
import { NumericAxisRenderer } from "./NumericAxisRenderer";
import { NumericAxisRenderingParameters } from "./NumericAxisRenderingParameters";
import { StraightNumericAxisBaseView } from "./StraightNumericAxisBaseView";
export declare class NumericYAxis extends StraightNumericAxisBase implements IScaler {
    a1(): AxisView;
    constructor();
    as(): AxisLabelPanelBase;
    protected get_ce(): boolean;
    readonly ce: boolean;
    ds(): number;
    dt(a: number, b: ScalerParams): number;
    gg(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    gf(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    dw(a: number, b: ScalerParams): number;
    gh(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    ln(a: number, b: number): void;
    i5(): NumericAxisRenderer;
    i8(a: Rect, b: Rect, c: Rect, d: Rect): NumericAxisRenderingParameters;
    protected g0(a: boolean): void;
    protected ha(a: Rect, b: Rect): void;
    protected get_az(): AxisOrientation;
    readonly az: AxisOrientation;
    ja(): NumericScaler;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
    static $t: Type;
}
export declare class NumericYAxisView extends StraightNumericAxisBaseView {
    constructor(a: NumericYAxis);
    protected bh: NumericYAxis;
    static $t: Type;
}
